> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1integrations



## OpenAPI

````yaml /api-reference/openapi.json get /v1/integrations
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/integrations:
    get:
      tags:
        - Integrations
      operationId: IntegrationListInstalledAsync
      parameters:
        - name: BusinessId
          in: query
          schema:
            type: integer
            format: int64
        - name: page
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          schema:
            type: string
        - name: sortDirection
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IntegrationsIntegrationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IntegrationsIntegrationResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IntegrationsIntegrationResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IntegrationsIntegrationResponse'
components:
  schemas:
    IntegrationsIntegrationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        applicationId:
          type: integer
          format: int64
        application:
          $ref: '#/components/schemas/ApplicationsMarketplaceApp'
        installationId:
          type: string
          format: uuid
        externalId:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        isInstalled:
          type: boolean
        status:
          $ref: '#/components/schemas/ModelsIntegrationsInstallationStatus'
        errorMessage:
          type: string
          nullable: true
        appUrl:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ApplicationsMarketplaceApp:
      type: object
      properties:
        id:
          type: integer
          format: int64
        locale:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        clientId:
          type: string
          nullable: true
        categories:
          type: array
          items:
            type: string
          nullable: true
        privacyPolicyUrl:
          type: string
          nullable: true
        termsAndConditionsUrl:
          type: string
          nullable: true
        revokeUrl:
          type: string
          nullable: true
        callbackUrl:
          type: string
          nullable: true
        appUrl:
          type: string
          nullable: true
        websiteUrl:
          type: string
          nullable: true
        developper:
          type: string
          nullable: true
        isPublic:
          type: boolean
        support:
          $ref: '#/components/schemas/ApplicationsMarketplaceAppSupport'
        scopes:
          type: array
          items:
            type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModelsIntegrationsInstallationStatus:
      enum:
        - NOT_STARTED
        - AUTHORIZE_STARTED
        - TOKEN_EXCHANGED
        - COMPLETED
        - FAILED
        - ABANDONED
      type: string
    ApplicationsMarketplaceAppSupport:
      type: object
      properties:
        supportWebsiteUrl:
          type: string
          nullable: true
        supportEmail:
          type: string
          nullable: true
        supportPhone:
          type: string
          nullable: true
      additionalProperties: false

````